# Проект eSoft

## Описание проекта

Проект **eSoft** представляет собой мощное приложение для автоматизации управления задачами и расчета заработной платы в организации. Он объединяет в себе базу данных, интуитивно понятный интерфейс для управления задачами и исполнителями, а также возможность настройки коэффициентов для расчета заработной платы.

## Установка и настройка

### 1. Установка базы данных

- Убедитесь, что приложение **eSoft** имеет доступ к серверу баз данных. Проверьте конфигурационные файлы приложения для указания параметров подключения.

### 2. Запуск приложения "eSoft"

- После успешной установки базы данных, запустите приложение **eSoft**.
- При первом запуске откроется форма входа, где пользователю необходимо ввести свой логин и пароль.

*Эти шаги обеспечивают корректную установку базы данных и запуск приложения для начала использования **eSoft**.*

## Возможности приложения eSoft

### 1. Управление задачами

- **Список задач:**
  - Отображение задач с указанием заголовка, статуса, исполнителя и менеджера.
  - Фильтрация задач по исполнителю и статусу.
  - Упорядочивание задач по дате создания.

- **Интерфейс задачи:**
  - Создание, удаление и редактирование задач.
  - Параметры задачи: заголовок, описание, срок исполнения, дата выполнения, сложность, время на выполнение, исполнитель, статус и характер.
  - Сложность задачи - число от 1 до 50.
  - Время на выполнение задачи измеряется в минутах.
  - Дата создания задачи устанавливается автоматически при создании.

### 2. Управление исполнителями

- **Список исполнителей:**
  - Отображение данных исполнителя, его статусов задач и грейда.
  - Возможность создания, редактирования и удаления исполнителей (доступно только менеджеру).

- **Интерфейс исполнителя:**
  - Отображение данных исполнителя, списка задач с фильтрацией по статусу и логин.
  - Возможность перехода в интерфейс выбранной задачи.
  - Менеджер может редактировать данные исполнителя: имя, фамилию, грейд, менеджера, логин и пароль.

### 3. Управление коэффициентами

- **Интерфейс управления коэффициентами:**
  - Редактирование коэффициентов для расчета заработной платы исполнителей.
  - Коэффициенты: гарантированный минимум зарплаты, коэффициент характера выполненных работ, коэффициенты сложности и времени исполнения задач, дополнительный коэффициент для перевода в денежный эквивалент.

### 4. Авторизация через API модуль

- **API модуль:**
  - Авторизация пользователя происходит с использованием отдельного API модуля **esoft_API**.
  - Защита паролей с использованием шифрования для обеспечения безопасности данных.

## Замечания

- Пароли хранятся в зашифрованном виде для обеспечения безопасности данных.
- Редактирование параметров задач ограничено после завершения задачи.

## Авторы

[Данилов Денис](https://t.me/deni_fantastic)